# Réunion Nounous

## Lieu et horaires

* Lieu : Pavillon des Jardins
* Date : Jeudi 20 novembre 2008
* Début : 19h51
* Fin : 21h23

## Présents

* Augustin Parret-Fréaud
* Johan Grande
* Laurent Taylor
* Michel Blockelet
* Nicolas Bruot
* Nicolas Dandrimont
* Olivier Huber
* Xavier Lagorce

## Ordre du jour

### Avancement de la mise à jour vers lenny

La mise à jour vers lenny a commencé (par oie) sur les serveurs de la ferme.
Oie ne boote pas sur le kernel officiel, selon toute évidence à cause des
options un peu foireuses qui permettent déjà que les cartes TV fonctionnent

Nicolas prévoit de bientôt mettre à jour egon, afin de tester la mise à jour de
certains services comme LDAP, Postfix, PostgreSQL...

### Planification du remplacement de vert et de pegase

De nouveaux serveurs ont été commandés (on les recevra d'ici une dizaine de
jours).

Il y a ainsi :

* fy : un nouveau dom0 (pour délester fx)
* un nouveau "vert"

Et pour aller avec :

* une baie de disques iSCSI, avec deux buts principaux :
   * en cas de panne de certains serveurs, permettre à d'autres de toujours

accéder aux données

* éviter de gâcher de l'espace disque
* un nouvel onduleur

On cherche une solution pour économiser sur l'installation électrique pour le
branchement de l'onduleur, la solution proposée par Anne nous semblant vraiment
très onéreuse.

Liste des services et données à migrer :

* Sur Pegase :
   * Backups de pegase... Il faut donc réinstaller backuppc.
   * Serveur RADIUS (attention à la mise à jour, la sémantique du fichier de
     conf change)
   * LDAP (en relation avec le point précédent)
* Sur vert :
   * Le serveur NFS...
   * La base LDAP principale...
   * BCfg2
   * Le serveur DNS (slave de toutes les zones)
* Sur le nouveau Dom0 :
   * un DomU www
   * ...

### Avancement de la migration du wiki

Il faut faire une double migration (passage à la v1.7 de MoinMoin, de Lenny, et
passer à un DomU), ce qui augmente un peu la charge de travail.

Le calendrier ne fonctionne pas, MoinMoin semble détecter correctement les pages
à afficher mais n'arrive pas à récupérer les informations dans ces dites pages.

Les catégories des pages ont aussi des problèmes de fonctionnement (plus ou
moins aléatoires).

Antoine suggère que la migration est une bonne occasion pour faire un peu de
ménage sur le wiki.

(Pourquoi est-ce qu'il ne faut pas faire indexer le wiki par google :
VieEns/LesDépartements/DépartementAnglaises…)

Le séminaire technique sur le wiki sera dans 3 semaines.

### Avancement de la mise en place du WiFi en WPA2

Il est probable que Regala soit en train de flasher une borne au 2B en ce moment
même... Apparemment non.

### « Formalisation » des droits WebMaster et FtpMaster

Il serait bon de mettre en place une procédure "automatique" (i.e. LDAPisée)
d'attribution de ces droits.

### Attribution de nouveaux droits

Johan est ajouté au groupe mirror sur sila, pour pouvoir gérer les dizaines
d'isos de distributions disponibles sur le FTP.

Nicolas propose d'ajouter les droits Nounou à Xavier, puisqu'il a montré un an
durant son intérêt et sa motivation. Aucune des nounous présentes (et contactées
précédemment) n'oppose son veto.

### Organisation de nouveaux séminaires techniques

Un séminaire sur MoinMoin sera organisé par Antoine dans 3 semaines.

Inscrivez vos disponibilités sur la
page [[CransTechnique/CransApprentis/SeminairesTechniques|SéminairesTechniques]], pour que votre avis
compte si on les déplace... Il faudra pas venir se plaindre après.

### Questions diverses

#### Migration de mouton vers MDR

En principe, Michel a migré tous les services qu'il faut. Il attend la
vérification de Braice.

Très bientôt, on aura enfin le silence au 4J...

#### Router advertisements IPv6

Olivier cherche une solution pour éviter que chaque machine qui se branche sur
le réseau récupère 5 adresses IPv6 globales. Cela résoudrait -peut-être- les
problèmes de connexion filaire sous Vista.

#### Machines extérieures en .crans.org

Des gens ont demandé la possibilité d'avoir des machines extérieures
en .crans.org . Il faudrait mettre en place :

* Soit une zone spéciale (.vieux-con.crans.org ?)
* Soit un domaine spécial (crans.eu ?)

Le domaine crans.eu est commandé chez ovh.
