# Réunion Nounous

* Date : Jeudi 1er Decembre 2011
* Lieu : Pavillon des Jardins
* Début : 19h17
* Fin : 20h27

## Présents

* Benjamin Aupetit
* Daniel Stan
* Michel Blockelet
* Nicolas Dandrimont
* Olivier Iffrig
* Sylvain Boilard
* Valentin Samir
* Xavier Lagorce
* Yann Duplouy

## Ordre du jour

### DSI-Cr@ns

#### Connexion des appartements

La DSI a rebasculé la connexion des appartements de fonction vers la connexion
Cr@ns, après l'avoir mise sur la connexion publique ENS sans nous prévenir.

#### Lien Gigabit

Il faut négocier avec la DSI pour avoir un lien Gigabit rapidement. Cela
permettrait
un accès plus rapide aux ENT.

#### Chambres au Pavillon des Jardins

La DSI nous demande si c'est possible de câbler certaines chambres du PdJ sur le
réseau public de l'ENS. Il faut demander à la DSI pourquoi, sachant que les
visiteurs
en question (chercheurs, ...) ont toujours été connectés grâcieusement au réseau
du Cr@ns si leur durée de séjour était raisonnable (<= 1 mois en général).

#### Plans du réseau

Il faut demander à la DSI une interconnexion rationnelle (i.e. une seule fibre
et pas 2 dont une reliée à un switch quelconque au d'Alembert Centre).

Le plan du réseau du Cr@ns n'a pas été mis à jour suite à la mise en étoile des
bâtiments. Daniel va s'en occuper.

### Maintenance générale

#### Mise à jour vers squeeze

Il ne reste plus que quelques serveurs à mettre à jour, il faut le faire.
Michel va voir avec Aurore pour finir ça.

#### Bcfg2

Plein de fichiers de config sont désynchronisés avec le serveur Bcfg2.

Il faut remotiver les gens à mettre la config dans bcfg2 et pas sur chaque
serveur, et aussi à packager des trucs existants :

* {{{/etc/cron.d/CRANS}}}
* {{{/etc/init.d/purge_les_locks_nfs_connard}}}
* ...?

#### Scripts

Le nouveau binding ldap est utilisable a priori. Il est possible de s'en servir
pour écrire de nouveaux scripts, ou nettoyer des scripts existants.

#### Divers

### Monitoring

#### Monitoring des serveurs

Munin ne marche toujours pas. La situation n'a pas évolué depuis la dernière
réunion, il faut que quelqu'un prenne ses petits pieds et aille au 0B appuyer
sur un bouton pour redémarrer dyson. Daniel s'en charge.

#### Utilisation du réseau

It's over 9000%.
Nicolas a
fait [[http://perso.crans.org/dandrimont/weathermap/weathermap.png|une
weathermap qui marche]]
avec MRTG. MRTG récupère les données en SNMP sur komaz et le backbone toutes les
5 minutes et les met dans un fichier pour munin, et un script PHP dessine le
graphe.

Benjamin se propose pour rendre tout ça plus joli et plus complet (switchs dans
les bâtiments, ...).

#### Firewall

Valentin a fait plein de modifications sur le firewall dernièrement. En faisant
des modifications pour détecter les trackers bittorrent en http, il s'est rendu
compte que le filtre ipp2p n'était pas utilisé correctement (les paquets
détectés
sont en effet assez souvent dans des paquets au cours de connexion et pas dans
les paquets d'initiation). Le filtre a été mis au bon endroit et plus de gens
ont été déconnectés.

### Questions diverses

#### P2P

Utilisation de OpenDPI à la place de ipp2p. La documentation est très éparse.
On regarde si ca vaut le coup.

#### Formation interne

La liste de compétences suggérée la semaine dernière doit toujours être mise en
place. Il est décidé de faire cela collégialement sur gobby (fichier
"competences").

Les nounous et anciennes nounous sont vivement incitées à contribuer à ce
document.

#### Squid

Squid est maintenant bypassé sur sable, hormis pour les déconnexions soft. Il
reste ce problème, ainsi que la connexion de secours qui ne fonctionne plus
automatiquement.

#### Repas Federez

C'est Samedi, 12h30, venez.

#### Imprimante

Pas d'avancées depuis 15 jours...
Elle fait des traces moches, ça devient urgent de changer les tambours.
