# Réunion du Collège Technique

* Date : Jeudi 22 janvier 2015
* Lieu : Pavillon des Jardins
* Début : 19h14
* Fin : 20h30

## Présents

* Raphaël-David Lasseri
* Emmanuel Arrighi
* William Babonnaud
* Gabriel Detraz
* Hamza Dely
* Daniel Stan
* Gaétan Facchinetti

## Ordre du jour

### Préparation de l'Install Party

* Le Netboot fonctionne-t-il ? Il faut vérifier et sur le vlan évènement et sur
  adhérent.
* Possibilité du portage du netboot en efi ? (on essaie ce
  soir : https://wiki.ubuntu.com/UEFI/PXE-netboot-install )
* ''A priori'', les distributions disponibles sont à jour.
* Il faut prévoir des clés usb en rab pour les uefi secure boot si jamais on
  n'arrive pas à les désactiver.
* Les vlans : a priori ils sont bons et vérifiés en taggued sur toutes les
  prises. Les switches ont été configurés et sont ok.

### Achat de bornes Wifi

Gabriel propose de racheter deux boites de 3 bornes (Unifi standard). Résumé
des besoins : une pour le bâtiment B, pour remplacement, et 3 autres au M. Le
reste sera dispo pour remplacement, en appoint.

(Sans les frais de port)

* IP : 432€
* landashop : 465€

### Omnomnom

Pierre-Elliott a oublié d'acheter un disque dur de rechange. On propose ça au
CA, avec un ventilo supplémentaire pour la tour (histoire d'être sûr).

* Disque : 220 € (http://www.rue-montgallet.com/prix/acheter,seagate-3to-7200-rpm-s-ata-iii-64mo-st3000dm001,755875)
* Ventilo : 15 - 20 €.

### Migration sous barrier breaker

Petit problème mineur lors de la migration : on a oublié d'activer l'option
d'atheros pour avoir les canaux
spécifique à l'Europe ETSI (canaux 12 et 13).

On a re-flashé une partie des bornes, mais pas toutes. Celles du G, C,
d'Alembert, H et PDJ ont toutes le firmware patché.

À voir ce qu'on fait du canal 13, pour l'instant, on l'a mis en test à la
Kfet (lieu de passage de tout
nouveau venu), histoire de faire des tests.

Bug détecté avec les nouvelles unifi au reboot, moins présent après passage à
barrier breaker, à investiguer.

### Switches

On a reçu 3 switches 24 ports et 2 switches 48 ports. Les switches de
remplacement sont des 2620 neufs, du coup c'est cool. Gabriel fera une seconde
session.

### Coupure électrique

Le mercredi 21 janvier, la ville a rebooté, le campus aussi. Le CROUS a
souffert au niveau du TGBT (Tableau Général Basse Tension), du coup ça a pris
plus de 45 minutes à revenir, et on a perdu le 0B.

On s'est rendus compte de deux détails, premièrement, la gestion de l'ISCSI et
du montage des disques des homes sur zbee, ça marche pas. PEB est sur le coup
en utilisant udev et en rajoutant des nofail en option sur le montage des home.
Le deuxième problème est la default via foireuse d'odlyd au boot. Il parle en
utilisant son IP côté ENS, du coup les réponses qui lui sont destinées sont
droppées, aiccu et vpn n'y arrivent pas, du coup. Normalement, une règle
post-up dans interfaces corrige la route.

/usr/scripts ne s'est pas monté partout, le wiki ne s'est pas bien démarré, et
idem pour l'imapproxy de SOGo. À surveiller, mais le reboot était fait
à la hache, ça n'a sûrement pas aidé.

Trucs à prévoir pour la prochaine fois :

* Séquence de coupure automatique annoncée par pulsar
* Retrouver le mdp de pulsar pour accomplir la tâche précédente (sic)
* Vérifier la default route sur odlyd
* Désactiver l'auto-reboot après coupure, sur les serveurs
* Vérifier la signalétique des disjoncteurs (« arrivée onduleur ou pas ? »)
* Les bornes wifi qui ont décidé de snobber radius (un wifi down; wifi up les a
  calmé), ainsi que NTP.

### Kludge kvm

On compte acheter deux trois adaptateurs
usb-ps2 ([[http://bit.ly/17YtjeC]]) compatibles kvm pour dépanner, entre autre
le kvm du 0B, celui du 0H.

## Questions diverses

### CransPasswords

Pierre-Elliott a commencé a modifier la base pour la rendre indépendante de
ssh, et de sudo dans le but de ne plus avoir besoin d'un utilisateur sur le
serveur.

### Délégation de sous-domaines et machine exté

On a eu une demande d'adhérent pour inscrire un ndd en .crans.org vers une IP
extérieure, voire déléguer le sous-domaine à l'adhérent.

Techniquement faisable, mais les binding ne sont pas prévus pour, pour le
moment. On peut :

* Inscrire des machines (rid spéciales)
* Développer une appli sur l'intranet2 pour cela (pour crans.eu, pour ne pas
  mélanger avec crans.org)

On retient la solution 2, pour tester (django-ldapdb ou pgsql ?)
