# Réunion du Collège Technique

* Date : Lundi 04 Février 2019
* Lieu : Salle de Conférence du Pavillon Des Jardins
* Début : 18:41
* Fin : 21:52
* <<Pad>>

### Présents

* Erdnaxe
* Edpibu (jusqu'à 19h)
* Elkmaennchen
* Pollion
* Fardale (via Jitsi)
* Boudy
* Esum
* !MisterKraft (parti à 19h54)
* Baptiste Chanus
* !OursPolaire (18h49)

## Ordre du Jour

### Dans collège technique, il y a collège

J'ai pas trop d'inspiration sur le titre de cette section pour l'instant, mais
j'ai quelques trucs à dire.
Il faut tenir au courant de ce qu'on fait et ne pas faire les trucs dans son
coin à l'arrache (coucou chirac même si t'es pas là)

* Message sur #roots, ou sur les MLs nounou/apprentis, et utiliser phabricator.

### Bilan des activités crans de ces dernières semaines

Toujours pas d'imprimante, personne n'a eu le temps de vraiment s'en occuper.

API re2o : Il y a une issue en cours pour faire du ménage dans l'API, et
essayer de voir ce qui bloque et pourquoi on a encore des erreurs 500.
Erdnaxe s'intéresse au problème, Pollion lui a filé un shell root dans un
screen.
> voir la gestion des tokens dans l'API : voir re2o-error.log.1 en cherchant api
> user_id: 20074

Création d'un ssid Cr@ns-5g pour diffuser le 5GHz et ainsi le séparer
du 2.4 GHz. Ça fait une semaine, on peut lancer de la com dessus, et prévenir
les adhérents qu'ils le capteront moins fort mais auront un meilleurs débit. Ça
peut aider à résoudre les soucis d'instabilité qu'on avait avant.

* [[https://cdn.discordapp.com/attachments/387967637940076545/539584015305277451/unknown.png]]
* [[https://cdn.discordapp.com/attachments/387967637940076545/539584086658908161/unknown.png]]

On fait un rapide bilan pour que tout le monde soit au fait de ce qu'il se
passe en ce moment niveau technique.

Retours sur la dernière IN, trucs qui ont été faits, pas faits.

### Logs

Ce qu'on veut, ce qu'on ne veut pas, ce qui est important, ce dont on se fout.
Il pourrait être bon de revoir un peu le système de log, avec les problèmes
d'envoi de log sur thot par exemple (spool qui explose) (ce est peut être lié
au problème d'ipv6 sur les serveurs)

### Stockage, partition, wtf ?

Pendant ce temps /home-adh/logs et /home-adh/mail se remplissent sur zbee…
{{{
/dev/sdaj1              630G    577G   22G  97% /home-adh/mail
/dev/sdcv1              296G    275G  6,0G  98% /home-adh/logs
}}}

--> On a 1 T de
  libre {{{/dev/mapper/lvm-stock  1008G     72M  957G   1% /stock}}}

Pollion propose de repartitionner tout ça.

* Dans un premier temps on bouge les vieux logs sur zbee de toute façon eux
  sont déjà backuppés et zbee a de la place.
* On propose d'exporter le disque de zbee dans home-logs de façon permanente.
  Il faut réécrire le script de rotation des logs du fw : Si home-logs est
  monté, on l'envoie sur home-logs, sinon on le garde sur le routeur (pour
  éviter les soucis en cas de crash du disque de zbee).
   * A faire pendant la grosse maintenance à prévoir.
* Les mails se remplissent
   * peb propose de supprimer les comptes mails inactifs qui consomment de
     l'espace disque
* Partition de gulp : Actuellement gulp est partitionné à la zob, et a vraiment
  plein de place libre non allouée.
   * On va essayer de rétablir un fonctionnement normal, et ça règlera des
     soucis de logs.
* Logs sur Odlyd. Quand c'est lui qui route, comme il n'a pas le NFS, il ne
  rotate pas ses logs (cf tes mails).
   * Soit on monte le nfs sur Odlyd
   * Soit on rsync de temps en temps les logs d'Odlyd.

. ==> On va rsync de temps en temps.

Dans la grosse maintenance on va repartionner gulp et vérifier que keepalived
marche bien.

### Futurs projets, répartition des tâches

Pour les apprentis : Je rappelle que vous pouvez aller voir sur Phabricator
pour voir si une tâche vous intéresse et vous pouvez demander à n'importe
quelle nounou de vous encadrer.

Pollion propose de se poser un Week-end, et de faire quelques petites tâches.
Par exemple le week-end du 09 ou du 16.

* Mise à jour de serveurs : Les serveurs de backups sont toujours sous Jessie,
  il serait temps de faire le DU. En lien
  avec : https://phabricator.crans.org/T178
   * Esum veut bien s'en occuper.
* Thelounge3 est enfin sorti. Fardale souhaite l'installer. Ça serait cool que
  des apprentis y participent, surtout ceux qui utilisent thelounge :). (ça
  amène plein de feature cool, comme les logs écrits dans un fichier en cas de
  déconnection)
   * erdnaxe est intéressé. Je note qu'il faut que je le fasse.
* Mailman3 : Mailman est le moteur de Mailing List qu'on utilise au Crans. Une
  nouvelle version sort avec Buster, on veut faire une installation propre
  avant sur une nouvelle vm, pour préparer la migration. Ça sera l'occasion de
  parler de mails et peut intéresser les apprentis qui souhaitaient se
  renseigner dessus.
   * En l'absence de réponses d'apprentis, Pollion et Esum veulent s'en
     occuper, ils renverront des mails sur les MLs apprentis et nounous avant
     pour être sûr.
* Nuker l'ancienne vm IPV6 (actuellement mailman3). Va avec le point précédent,
  et ça sera l'occasion de voir comment marche la virtualisation au crans.
   * idem
* Liens wiki - re2o : https://phabricator.crans.org/T293
   * Le wiki est old, c'est pas urgent. On a d'autres trucs à faire.
* Gros passage de doc, les gens qui savent svp documentez. Je regarde
  particulièrement Chirac .... Et quand je dis doc c'est pas une copie du code,
  une doc c'est un truc qui explique  : "Si tu veux tel résultat, tu fais
  ça".  Je ne pense pas forcément à re2o uniquement, mais aussi aux reliquats
  de l'ancienne infra. Exemple de pages pas à jour :
   * [[CransTechnique/Services/RaDius/AttributionVlan]]
   * [[https://wiki.crans.org/CransTechnique/AdminSyst%C3%A8me/RoutageFailover]]
* Migration des derniers serveurs en zone
  ENS. [[https://phabricator.crans.org/T323}}
   * On a une quinzaine de serveurs qui doivent garder une ip publique, on les
     met sur un vlan à part (exemple dmz, avec un autre nom parce que c'est pas
     une dmz). Les autres serveurs sont sur adm, et certains serveurs ont
     besoin d'avoir Internet (comme owncloud ou tracker) on les met sur un
     range d'ip avec internet (aka fil mais pour les serveurs).
   * Fardale propose de faire un VLAN séparé
* Réflexion vers Ansible : Erdnaxe ? Après le gala et Prologin, je prépare un
  séminaire. Chirac a dit que les séminaires ça n'apprend pas grand chose aux
  autres.
   * Oui mais non, un séminaire c'est pratique pour que tout le monde soit au
     courant de ce qu'il se passe.
   * Erdnaxe est chaud pour un séminaire Ansible \o/
* mise à jours des noyaux des virtualiseurs /!\ terrain miné
   * voir
     https://forum.proxmox.com/threads/pve-kernel-4-15-17-comes-with-high-and-unstable-disk-latency.44217/ pour le problème que l'on rencontre actuellement
   * On fait un test sur un virtualiseur, et on verra...
* Changement de soyouz (il existe des serveurs moins cher et mieux chez ovh) si
  ça motive quelqu'un, on peut le migrer sur un nouveau serveur ovh et c'est
  cool car ça fait plein de truc différent soyouz (mail, wiki2, tunnel tinc,
  dns)
   * https://www.soyoustart.com/fr/serveurs-essential/ c'est pas beaucoup moins
     cher ni substantiellement mieux.
   * On fait une tâche phab dans idée, ou todo, c'est pas urgentissime.
* réparer les certificats letsencrypt

. passage à un certif pour *.crans.org ?

* Pour l'instant c'est aussi une idée, pas ultra urgent.
* ajouter la gestion de la bdd mysql de zamok sur re2o ?
   * c'est la bdd des pages persos.  On reporte à la prochaine IN.
* régler: [Django] ERROR (EXTERNAL IP): Invalid HTTP_HOST header: 'www.hp.com'.
  You may need to add 'www.hp.com' to ALLOWED_HOSTS.
   * {{{['*']}}} dans ALLOWED_HOSTS ?
* voir le souci de lvm sur zbee:

. il n'y a
pas {{{global_filter = [ "r|/dev/zd.*|", "r|/dev/mapper/pve-.*|", "a|/dev/mapper/mpath.*|", "a|/dev/sd.*|" ]}}}
. je vous laisse vérifier que le mettre en oeuvre dans /etc/lvm/lvm.conf sur
zbee ne pètera rien
A mettre dans la conf.

### Séminaires

Quels sont les futurs séminaires ? Allez les apprentis faites pas vos timides :p

* Le séminaire BGP est en cours de préparation. ETA ~ 1 mois. \o/
* Edpibu : Séminaire Switch
* Elkmaenchen : Séminaire Freeradius
* Erdnaxe : Séminaire Ansible
* Vulcain : Séminaire DHCP
* Séminaire Sécu du web dans une semaine.

### Est-ce que je peux commiter dans BCFG ? (erdnaxe)

Je fais une branche ?

* Ouais go

### Utilisation de la radio crans

Peut-on y accéder ?

* On a déjà décidé de le supprimer, ça n'a juste pas été encore fait.

### On nuke le service de SMS ?

gammu, on l'utilise ? Qui veut des SMS ?

* L'AMAP par exemple ! une extension de la note 2018 pour commander a distance ?
* C'était un projet, mais c'est un peu en plan, si vous voulez le reprendre go
  for it.

### IPV6

Certain serveurs n'ont pas leur ipv6 sur certaine interface (exemple ft sur adm
je l'ai ajouté à la main)

* dans le cas de ft on avait oublié de changer l'ip quand on est passé de HE
  aux ip ripe.
* [[https://icinga2.crans.org/icingaweb2/monitoring/list/services?service_problem=1&(service=%2Aping6%2A|service_display_name=%2Aping6%2A)&sort=service_severity&dir=desc]]
* Ok, faut voir.

### Les comptes clubs sur zamok

* On réfléchit, on reporte à la prochaine IN, pour l'instant on laisse comme ça.

### Monitoring

Ce qu'on veut, ce qu'on ne veut pas, ce qui est important, ce qui peut attendre
https://phabricator.crans.org/T433

* On reporte.

### Serveur matrix

Eh ! Eh ! On installe un serveur matrix ?

* du calme, du calme, c'est cool, mais ça pourrait plus un truc à tester à
  servens avant nan ? ;) (où  ça des conflits d'intérêts ?  je vois pas :p)
* Si des gens sont chaud on peut tester mais c'est pas urgent.

### Virer association.crans.org d'Icinga et/ou le monitoring de l'imprimante

Car toutes les règles de ces services sont cassées

* On reporte à la prochaine IN.
