# Réunion Nounous

* Date : Jeudi 15 janvier 2009
* Lieu : Pavillon des Jardins
* Début : 19h45
* Fin : 21h00

## Présents

* Antoîne Durand-Gasselin
* Johan Grande
* Nicolas Dandrimont
* Stéphane Glondu
* Xavier Lagorce
* Vincent Maioli

## Ordre du jour

### Câblage des appartements de l'ENS

La solution technique retenue est de placer les Appartements derrière un NAT,
sur komaz.

Le filtrage peer2peer sera en place sur ce nat. Pour le comptage de l'upload,
il faut trouver une solution qui prend en compte le NAT.

Pour ce qui est de la charte à faire signer à ces nouveaux connectés, la
discussion est reportée au prochain CA.

### Automatisation de la mise en place des sauvegardes

La mise en place automatique est lourde à mettre en place, alors que
l'opération pour un serveur consiste en la copie d'un fichier sur babar. Il
suffit donc de ne pas oublier cette étape.

### « ToDo list » en cas de panne

Il parait difficile de faire une checklist des choses à vérifier en cas de
panne, le nombre de serveurs et de services étant faramineux.

Il sera mis en place une page wiki contenant différents tutoriels, par exemple
comment redémarrer le 0B en cas de panne, etc. Il faudra veiller à ce que les
informations contenues dans cette page soient à jour en permanence.

Si les membres du CA sont prêts à mettre en place une liste de choses à faire
en cas d'absence des Nounous, les Nounous sont prêtes à les aider, mais ne
voient pas l'intérêt de la mettre en place en l'état actuel des choses.

### Bilan de l'installation des nouveaux serveurs

#### Slon

La nouvelle baie de disques est installée. Les données des !DomUs sont dessus.
Il reste à déplacer les homes. Pour servir ces derniers, des tests vont être
effectués sur un DomU.

#### Fy

Fy est installé, il va chercher sa racine sur la baie de disques. Tous
les !DomUs sont dessus actuellement en attendant de réinstaller Fx.

#### Babar

Il est installé et fonctionnel. Il reste à le déplacer à son emplacement
physique définitif.

Petit commentaire sur l'installation : Ne mettre qu'une partition / de 2 Go sur
un disque de 250 était surprenant, considérant que les métadonnées de backuppc
sont stockées dans un arbre de millions de petits fichiers dans /var. Que ne
fut ma surprise quand j'ai constaté que la racine était pleine depuis plus
d'une semaine...

### Récupération du crash de fx

Aucun test n'a été effectué depuis le crash. Les disques durs doivent être
vérifiés (smart test etc.), en vue d'un échange en cas de problème.

Le DomU irc est toujours cassé, il faut le réinstaller.

### Avancement des mises à jour vers lenny

Tous les serveurs non critiques ont été migrés sous lenny. Pour les serveurs
principaux restant, l'ordre retenu de migration est le suivant :

* komaz
* sable
* rouge
* zamok

Ce qui advient de vert sera déterminé plus tard (selon les tests du NFS sur un
domU).

### Projets en cours ou futurs

#### BCfg2

Petit à petit, le mail de statistiques BCfg2 se vide...

#### Formulaire de préinscription en ligne

Xavier commence à s'y mettre.

#### Détection des router-advertisements

Olivier fait semblant de réviser, le point est reporté à la prochaine réunion.

#### Bugs de l'intranet

* L'intranet perd la "connexion à l'imprimante" et n'arrive pas à la rétablir
* Les paiements paypal doivent être validés manuellement

Il faudrait que quelqu'un avec des points de karma en cherrypy y regarde de
plus près.

#### munin

Le domU munin a un gros souci d'i/o. Le service sera transféré sur pegase
lorsque la migration des sauvegardes sera complète.

#### Modifications qui trainent

Il est rappelé que les modifications aux différents dépôts doivent être
commitées rapidement...
