# Réunion Nounous

* Date : Jeudi 5 mai 2011
* Lieu : Salle Condorcet
* Début : 19h10
* Fin : 21h01

## Présents

* Antoine Durand-Gasselin
* Daniel Stan
* Jérémie Dimino
* Michel Blockelet
* Nicolas Dandrimont
* Sylvain Boilard
* Valentin Samir
* Vincent Maioli
* Xavier Lagorce

## Ordre du jour

### Entrevue avec la DSI

Lundi 9 mai à 14h30 entrevue avec Stuart. Nicolas y va accompagné de Daniel et
Valentin.

Ordre du jour :

* Gigabit
* WiFi
   * Repeuplement du Cournot
   * Annonce du réseau Cr@ns sur les bornes aruba
   * Réinstallation de bornes à l'ENS
* Connexion des Appartements
* IPv6
* Peer to peer

### WiFi

#### Mises à jour

Le WiFi doit être remis en état de marche correct pour la rentrée.

* SSID Multiples (n > 2)
* IPv6
* WiFi N

Points techniques

* OpenWRT
* Firmware à jour
* Firmware "universel" (configuration de la borne par DHCP)

Possibilités :

* Identification par compte Cr@ns, voire double authentification (compte Crans
  OU compte spécifique wifi)

À faire :

* Mise en place d'une infrastructure de test (vlan séparé, serveur radius
  séparé sur un domU, ...)
* Tests de firmwares sur les bornes actuellement en train de prendre la
  poussière au 2B
* Achat de nouvelles bornes (soit de tests si les bornes actuelles sont
  merdiques, soit en série)

Les tests vont commencer quand les gens voudront.

#### Repeuplement du Cournot

Les A0 veulent une borne en C411 (elle y est, il faut juste la router vers le
réseau Crans).

Il faut demander à la DSI de router le vlan 3 au bon endroit.

#### Fixations des bornes du toit du J

Le feuillard en alu est acheté, il faut trouver les fixations qui n'étaient pas
dans le même rayon.

Pour l'installation, il faut voir avec Isabelle (du CROUS).

### Connexion appartements

Il y a vraiment des bugs bizarroïdes. Quelques possibilités à évoquer avec
Stuart :

* Passer les personnels directement sur la connexion Cr@ns. Cela règlerait de
  manière

avantageuse le problème du monitoring de la connexion.

* Multiplexer n freeboxes. La question : où les mettre, et si free va pas faire
  la gueule.

Il reste aussi à développer le système de load-balancing. Le point de sortie
pourrait être une dedibox SC de chez online.net.

On verra ça lundi avec Stuart.

### Mises à jour de serveurs

Vincent a fait une mise à jour (mais d'un serveur qui sert à rien) \o/

Michel s'occupera de pgsql quand il aura la bonne idée de ne pas tomber malade.

fx sera mis à jour quand on migrera les /home.

Rappel : les domU mis à jour sont à migrer sur fz pendant leur mise à jour.

### IPv6

Il serait temps d'activer l'IPv6 de manière globale et automatique.

Ce qui est release critical :

* Filtrage des RA pirates (vieux et fait)
* Firewall v6 (fait modulo port 80)
   * Désactiver le proxy transparent pour l'IPv6. On peut revoir à fournir un
     fichier de configuration de proxy si les gens le souhaitent (oh noes, they
     will never do it).
* Adaptation des scripts (de surveillance)
   * Upload : fait, pas de déconnexion automatique mais le mail de stats est lu
     tous les jours.
   * P2P : il faut trouver une solution de level7 filtering compatible IPv6.
     Pas nécessaire immédiatement
* DNSv6
* Configuration de radvd et d'un DHCPv6 pour avoir un peu plus qu'un routeur
  sur IPv6.

### Questions Diverses

#### Problèmes de Webmail/dovecot

Dovecot avait du mal à cause d'une limite sur le nombre de fichiers ouverts.
Ça a été réglé en augmentant la limite de fichiers ouverts par root.
