# Réunion du Collège Technique

* Date : Jeudi 17 septembre
* Lieu : Pavillon Des Jardins
* Début : 19h00
* Fin : 20h30

## Présents

* Lucas Serrano
* Gabriel Détraz
* Myriam Begel
* Emmanuel Arrighi
* Mathilde Espinasse
* Rémi Oudin
* Aliaume Lopez
* Hamza Dely
* Martin ??
* Pierre Elliot Bécue

## Ordre du jour

### Aménagements 4J

On a racheté un onduleur en urgence (voté en CA) suite aux problèmes de
disjoncteur.
L'onduleur est manageable en ethernet (quasar.adm.crans.org).

La clim est hors circuit de l'onduleur, car trop gourmande. Vu son état, il
serait temps de la changer.

Cahier des charges :

* mémoire (reprise du mode d'avant coupure)
* mettre l'accent sur le coté déshumidificateur (pour le papier)

Quid également du digicode et clés 4J ?
On va proposer un devis pour changer le canon de la deuxième porte (trop de
clés perdues).

### Kfet

Le panneau de  brassage ainsi que la boîte sont arrivés. Mais c'est plus lourd
que prévu. On regarde avec un membre du bde pour faire une installation
raisonnable (mur en plâtre). On attend de ses nouvelles lundi ou mardi.

Concernant le switch PoE, on ne connait pas pour l'instant les besoins exacts
du bde, en nombre de caméras/câbles à tirer.
Lors du dernier CA, l'achat du switch a été repoussé, dans l'idée d'acheter du
matériel plus récent compatible PoE gigabit. Finalement, vu le peu de nouvelles
et l'usage prévu (bornes + camera), un 100Mbit/s PoE
paraît un bon compromis niveau prix.

En attendant, on a installé un 100Mbit/s non poe. Switchs2.py a été mis à jour
pour gérer les prises, depuis la base de données (et aussi générer un schéma de
câblage.)

Une deuxième borne (unifi simple) a été rajoutée, suite à des problèmes lors de
l'entrée pot et les deux bornes sont désormais fixées "solidement" dans le mur.

### FreeRadius

Gabriel et Daniel ont corrigé le problème de segfault sous jessie. Plus
exactement, il n'est plus possible d'instancier plusieurs fois le module
python (cela mène à un segfault.)

Il faut aussi reporter le bug. On peut donc entamer les mises à jour des
serveurs radius restants, c'est-à-dire radius puis, si tout se passe bien, eap.

Aliaume est partant pour un dist-upgrade ! \o/ Rémi aussi si besoin !

### Ticketteuse

Beaucoup de cafouillages ces derniers temps. Hamza vient d'en refixer une à la
kfet. Les mots de passe ont été mis dans cranspasswords, cette fois.
Il reste à mettre la clé ssh (pour la déchiffrer) quelque
part : dans /etc/crans/secrets (et ultérieurement dans cpasswords ?).

La deuxième ticketteuse marche mais la carte SD n'est pas encore chiffrée, et
il faut lui trouver un nouveau boitier.

### Intranet

Gabriel montre sa nouvelle feature d'édition de .forward.
Quelques probs de compte/impressions ces derniers temps.
(cf commits d'aujourd'hui.)

Lucas n'est pas très fan de l'édition arbitraire du .forward. Il préférerait
avoir une option pour rentrer un champ mail.

Attention : réorganisation imminente du dépôt suivant les versions récentes de
django.
Lucas et Daniel vont s'occuper du déplacement des dossiers et fichiers,
attention aux merges !

### Asterisk

La machine virtuelle "asterisk" va mal. Il a été proposé de recommencer une
installation à partir zero. Pour info, ce serveur héberge un
programme "asterisk"
fournissant un service de voip (protocole sip) aux adhérents.

Ce serait donc l'occasion de faire le ménage et d'en apprendre plus sur la voip.

Plusieurs projets apprentis :

* Créer une vm en compagnie d'une nounou (idefisk)
* Examiner la conf d'asterisk et la cloner (idefisk)

On remet à plus tard, mais si quelqu'un veut bien s'y pencher, qu'il fasse
signe ;)

### Impression

Cela fonctionne mieux, mais ça cafouille quand quelqu'un lance une grosse
impression, la file d'attente est bloquée. Il faut implémenter la gestion de
file avec des ordonnanceurs.
Cela se passe sur le serveurs {{{cups.crans.org}}}.

Gabriel a rajouté une info sur le statut de l'imprimante sur l'intranet.

Liste de projets (éventuellement pour apprentis) :

* Permettre les impressions de plusieurs fichiers en même temps (projet django)
* Imprimantes virtuelles sur cups (cf slides) (+ écriture de deux ordonnanceurs)
* Écrire un nouveau printer_watch qui prévient des pannes de l'imprimante.

### Questions diverses

#### Tracker

Le tracker.crans.org. Quid du truc de FedeRez ? Ie phabricator ? On essaie
d'installer ça.

On a potentiellement d'autres adhérents intéressés (la sauce par ex).

#### VM Inutiles

* Discourse -> On garde un peu, histoire de voir si le CA est prêt à faire de
  la comm' là-dessus. Il faut voir si on est motivé pour un nouveau web news
  pour essayer de redynamiser les news.
* Tracker ? -> On efface ? Ça ne marche clairement pas, faisons le ménage dans
  les tickets puis on le vire (comme ça, pas d'upgrade à gérer).

#### Local de brassage du -1I

La clé du -1I semble avoir été changée, une nouvelle fois, et nous n'avons pas
été prévenu. On ira voir le Crous dès que possible (demain matin).

[Mise à jour du vendredi 18 : le technicien crous nous a donné la nouvelle clé]

#### Slides

[[attachment:adaptations-de-freeradius-pour-debian-jessie.pdf]]
