# Réunion du Collège Technique

* Date : Jeudi 17 décembre
* Lieu : Pavillon Des Jardins
* Début : 19h15
* <<Pad>>

## Présents

* Myriam Begel
* Rémi Oudin
* Daniel Stan
* Charlie Jacomme
* Hamza Dely

## Ordre du jour

### Icinga

Pour remplacer autostatus qui est vieux, moche et à un certain nombre de
limitations, dely a mis en test Icinga (icinga2.crans.org).
C'est un service de monitoring qui possède déjà un bon nombre de plugin
préexistant (hpjd pour l'imprimante, backuppc, proxmox), les plugins pouvant
s'écrire à la main en python comme pour munin. De plus, les plugins nagios sont
compatibles.

Icinga permet de redémarrer depuis le site de rédémarrer des services, d'où les
login required.

* Munin met en place automatiquement pour un serveur tout ce qu'il faut, est-ce
  qu'icinga peut faire pareille ?

On vise un déploiement des fichiers de conf pour chaque host grâce à bcfg2.

Il faudra mettre une tache sur phabricator et voir qui est intéressé.

### Mise au point DU

On a actuellement deux cluster proxmox différents avec uniquement stitch sous
jessie.
On envisage de migrer les autres virtualiseurs, en prenant soin à chaque fois
d'être sur que le serveur migré marche avant de toucher aux autres.
Daniel doute de la pertinence de faire d'autres migrations vu l'état des
migrations déjà en cours et jamais finies (cochon).

On envisage de tenter de migrer fz à la rentrée, une fois que cochon sera
rétabli (cf point suivant)

### Cochon

Il faut tenter de compiler un noyau jessie à la main. Si ça échoue, on remet
sous wheezy.

### Il faut sauver le soldat Odlyd (Routeur Fail-over)

Daniel propose de profiter de la coupure lundi prochain pour un memtest. Si il
y a du monde pour aider, il testera avant si le routeur fail-over fonctionne
bien.
On a par ailleurs vu un comportement bizarre au niveau du scheduler, mais pas
d'explications. Si le memtest voit le problème, on renvoit la barette à HP.
La carte réseau aurait aussi des problèmes sur munin... (cable foireux ?)

Sinon ? On verra le cas échéant.

### Firmware update de Nols

Charlie est possiblement chaud pour une maintenance la deuxième semaine, si
d'autres personnes sont présentes ?
Si Daniel se motive et qu'il y a plus de nounous, peut-être lundi
prochain (21/12) à midi.
On envisage aussi de swapper les disques de 300Go et de 600Go.

### Modules de generate avec lc_ldap

Il faut profiter de la migration pour repenser les scripts et leur refaire une
beauté et pas se contenter d'un copié collé basique.
On va créer une branche git pour faire tout ça.

### whos_lc

Un certains nombre de différence d'utilisation existe par rapport au précédent,
la mise en prod aurait mérité une discussion.
Lors d'un changement de script, une bonne idée est de mettre une disclaimer
dans le script lui même.
On s'interroge sur la confidentialité de la chambre ? Si l'utilisateur est en
chambre invalide, que ce passe-t-il ?

Il faudrait dire que le numéro de tél et l'adresse sont censurés sur
l'affichage normal, pour pas qu'on perde 5 min à les chercher.

### Demande de transfert des ip

Demander à la dsi de nous transférer les ip, du point de vue du ripe.

https://www.ripe.net/manage-ips-and-asns/resource-transfers-and-mergers/transfers/legacy-resources

Pour cela, il faut un numéro d'AS et s'inscrire au Ripe (payant). La DSI de
l'ENS va peut-être bientôt associer ses adresses à celles des autres écoles, il
faudrait le faire avant si on veut les avoir.

D'un point de vue technique, on deviendrait obligé d'annoncer nous même nos
routes. Cela parait compliqué aujourd'hui.

Ce qu'il nous faut est une promesse de nous les garder de côté en vu du
déménagement à Saclay plutôt que de nous les donner de suite.

### Futur : être un opérateur ?

Il faut donc annoncer ses routes soit même, avoir un numéro d'AS et ripe...
Huricane Electrics propose un service permettant de tunneler sa connection
ipv6 et de la faire sortir "au milieu de l'internet" où on peut faire du bgp.

On pourrait beta tester ça au cr@ns avant ARES.

Qui serait intéressé par le projet ? Pour info, l'ARES envisage son inscription
en tant que LIR.

### Upload

munin.crans.org/crans.org/odlyd.crans.org/if_ens.html
Passage à 12Go ?

Approuvé !

### Questions Diverses

* Commander une carte de contrôle pour Pulsar
